> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addUsersToRegularPayPeriod

> The `addUsersToRegularPayPeriod` API is used to add employees to an existing regular pay period in the rollfi system

### Notes:
- This API can be used when an employee was removed and needs re-adding to a pay period
- Only works with 'Regular' pay period types, not supplemental pay periods



## OpenAPI

````yaml post /payroll/addUsersToRegularPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/addUsersToRegularPayPeriod:
    post:
      tags: []
      summary: addUsersToRegularPayPeriod
      description: >-
        The `addUsersToRegularPayPeriod` API is used to add employees to an
        existing regular pay period in the rollfi system


        ### Notes:

        - This API can be used when an employee was removed and needs re-adding
        to a pay period

        - Only works with 'Regular' pay period types, not supplemental pay
        periods
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                payrollLineItems:
                  type: array
                  items:
                    type: object
                    properties:
                      userId:
                        type: string
                      paymentMethod:
                        type: string
                    required:
                      - userId
                      - paymentMethod
              required:
                - method
                - companyId
                - payPeriodId
                - payrollLineItems
            example:
              method: addUsersToRegularPayPeriod
              companyId: C8D57032-BF6F-4510-AA41-08A358365531
              payPeriodId: 81A0AE81-F817-4012-B058-46B2C0B9B72C
              payrollLineItems:
                - userId: BEC0E358-C9F5-4FEA-AED3-6A25C205F599
                  paymentMethod: Check
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  payrollLineItems:
                    type: array
                    items:
                      type: object
                      properties:
                        userId:
                          type: string
                        status:
                          type: string
                        message:
                          type: string
                      required:
                        - userId
                        - status
                        - message
                required:
                  - payrollLineItems
              examples:
                '1':
                  summary: Success
                  value:
                    payrollLineItems:
                      - userId: BEC0E358-C9F5-4FEA-AED3-6A25C205F599
                        status: Ready
                        message: >-
                          The PayrollLineItem for Brendon Mcln has been saved
                          successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: PayPeriodId is mandatory
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: PayPeriodId is mandatory
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````